## python-biopython 1.67+dfsg

=== debian/changelog ===
python-biopython (1.67+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Point d/watch to github
  * xz compression in d/watch
  * Take over patch from upstream to fix detection of rpsblast
  * Skip test needing a network connection
  * Add +bindnow hardening option
  * Delete useless .cvsignore files from package
  * New Build-Depends for documentation: hevea, texlive-latex-base,
    texlive-latex-extra, texlive-fonts-recommended
  * Makefile for Doc needs to be separately called (clean and build)
  * Remove doc sources from binary doc package

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jun 2016 13:05:14 +0200

python-biopython (1.66+dfsg-3) unstable; urgency=medium

  * Apply fix from upstream for test case dealing with new blastp output format
    Closes: #824048
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2016 16:48:15 +0200

python-biopython (1.66+dfsg-2) unstable; urgency=medium

  * Packaging moved from SVN to Git
  * Bumped Standards-Version
  * Exclude phyml test for the moment
    Closes: #813262

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2016 15:25:38 +0100
