=== debian/control ===
Source: python-biopython
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all-dev,
               python3-all-dev,
               python-numpy,
               python3-numpy,
               flex,
               python-reportlab,
               python3-reportlab,
               hevea,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-fonts-recommended,
               bwa [any-amd64],
               clustalo,
               clustalw,
               dialign,
               dssp,
               emboss,
               fasttree,
               mafft,
               muscle,
               ncbi-blast+,
               phylip,
               phyml,
               prank,
               probcons,
               python-mysqldb,
               python3-mysqldb,
               python-matplotlib,
               python3-matplotlib,
               python-pil,
               python3-pil,
               python-rdflib (>= 4),
               python3-rdflib,
               python-renderpm,
               python3-renderpm,
               python-psycopg2,
               python3-psycopg2,
               raxml [any-amd64],
               t-coffee,
               wise (>= 2.4.1-16)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-biopython.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-biopython.git
Homepage: http://biopython.org
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.3

Package: python-biopython
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-reportlab
Recommends: python-biopython-doc (= ${source:Version}),
            ncbi-blast+
Suggests: python-tk,
          bwa [any-amd64],
          clustalo,
          clustalw,
          dialign,
          dssp,
          emboss,
          fasttree,
          mafft,
          muscle,
          phylip,
          phyml,
          prank,
          probcons,
          python-mysqldb,
          python-matplotlib,
          python-numpy,
          python-pil,
          python-rdflib (>= 4),
          python-renderpm,
          python-psycopg2,
          raxml,
          samtools,
          t-coffee,
          wise (>= 2.4.1-16)
Description: Python library for bioinformatics (implemented in Python 2)
 The Biopython Project is an international association
 of developers of freely available Python tools for
 computational molecular biology.
 .
 It is a distributed collaborative effort to develop Python
 libraries and applications which address the needs of
 current and future work in bioinformatics. The source code
 is made available under the Biopython License, which is
 extremely liberal and compatible with almost every license in
 the world. The project works along with the Open Bioinformatics
 Foundation, who generously provide web and CVS space for
 the project. 
 .
 This package is targeting Python version 2.

Package: python3-biopython
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-reportlab
Recommends: python-biopython-doc (= ${source:Version}),
            ncbi-blast+
Suggests: python3-tk,
          python-reportlab,
          bwa [any-amd64],
          clustalo,
          clustalw,
          dialign,
          dssp,
          emboss,
          fasttree,
          mafft,
          muscle,
          phylip,
          phyml,
          prank,
          probcons,
          python-mysqldb,
          python3-matplotlib,
          python3-numpy,
          python3-pil,
          python3-rdflib,
          python3-renderpm,
          python3-psycopg2,
          raxml,
          samtools,
          t-coffee,
          wise (>= 2.4.1-16)
Description: Python library for bioinformatics (implemented in Python 3)
 The Biopython Project is an international association
 of developers of freely available Python tools for
 computational molecular biology.
 .
 It is a distributed collaborative effort to develop Python
 libraries and applications which address the needs of
 current and future work in bioinformatics. The source code
 is made available under the Biopython License, which is
 extremely liberal and compatible with almost every license in
 the world. The project works along with the Open Bioinformatics
 Foundation, who generously provide web and CVS space for
 the project. 
 .
 This package is targeting Python version 3.

Package: python-biopython-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: python-biopython (= ${source:Version})
Description: Documentation for the Biopython library
 Documentation and examples about how to use the Biopython
 library.
 .
 This package also contains the unit tests of the test suite
 to enable reproducing the test results.

Package: python-biopython-sql
# Todo: add www.biosql.org as "External Ressource" on packages.debian.org when the infrastructure will provide a way to do so.
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-mysqldb,
         python-biopython
Provides: ${python:Provides}
Description: Biopython support for the BioSQL database schema (Python 2)
 This is the Biopython interface to a BioSQL database (see www.biosql.org
 for details). BioPerl, BioJava and BioRuby also provide their own BioSQL
 interfaces onto the same shared SQL schema.
 .
 This package is targeting Python version 2.

Package: python3-biopython-sql
# Todo: add www.biosql.org as "External Ressource" on packages.debian.org when the infrastructure will provide a way to do so.
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-biopython
Provides: ${python:Provides}
Description: Biopython support for the BioSQL database schema (Python 3)
 This is the Biopython interface to a BioSQL database (see www.biosql.org
 for details). BioPerl, BioJava and BioRuby also provide their own BioSQL
 interfaces onto the same shared SQL schema.
 .
 This package is targeting Python version 3.
