## python-biopython 1.68+dfsg

=== debian/changelog ===
python-biopython (1.68+dfsg-3) unstable; urgency=medium

  * (Build-)Depend: phyml only on those architectures where it is available
  * Relax test conditions in test_phenotype_fit to work around some rounding
    differences on arm64
    (see https://github.com/biopython/biopython/issues/1038 )

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jan 2017 16:52:04 +0100

python-biopython (1.68+dfsg-2) unstable; urgency=medium

  * Add Tutorial.tex to *-doc package since its used in autopkgtest and
    its just an ignorable payload for this package
  * debhelper 10
  * d/watch: version=4
  * Add python-scipy since it is used in test suite

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jan 2017 14:56:26 +0100

python-biopython (1.68+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 29 Aug 2016 13:23:35 +0200
