=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                python-all-dev,
                python3-all-dev,
                python-numpy,
@@ -27,7 +27,7 @@
                muscle,
                ncbi-blast+,
                phylip,
-               phyml,
+               phyml [any-amd64 any-i386 arm64 armhf sparc64],
                prank,
                probcons,
                python-mysqldb,
@@ -42,6 +42,8 @@
                python3-renderpm,
                python-psycopg2,
                python3-psycopg2,
+               python-scipy,
+               python3-scipy,
                raxml [any-amd64],
                t-coffee,
                wise (>= 2.4.1-16)
@@ -71,7 +73,7 @@
           mafft,
           muscle,
           phylip,
-          phyml,
+          phyml [any-amd64 any-i386 arm64 armhf sparc64],
           prank,
           probcons,
           python-mysqldb,
@@ -81,6 +83,7 @@
           python-rdflib (>= 4),
           python-renderpm,
           python-psycopg2,
+          python-scipy,
           raxml,
           samtools,
           t-coffee,
@@ -121,7 +124,7 @@
           mafft,
           muscle,
           phylip,
-          phyml,
+          phyml [any-amd64 any-i386 arm64 armhf sparc64],
           prank,
           probcons,
           python-mysqldb,
@@ -131,6 +134,7 @@
           python3-rdflib,
           python3-renderpm,
           python3-psycopg2,
+          python3-scipy,
           raxml,
           samtools,
           t-coffee,
