=== debian/rules ===
--- 
+++ 
@@ -116,7 +116,6 @@
 	find debian -name .cvsignore -delete
 	cd debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc && make clean
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name Makefile -delete
-	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.tex" -delete
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.aux" -delete
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.lyx" -delete
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -type d -empty -delete
