## python-biopython 1.70%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -44,10 +44,12 @@
                python3-psycopg2,
                python-scipy,
                python3-scipy,
+               python-setuptools,
+               python3-setuptools,
                raxml [any-amd64],
                t-coffee,
                wise (>= 2.4.1-16)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-biopython.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-biopython.git
 Homepage: http://biopython.org
@@ -87,7 +89,8 @@
           raxml,
           samtools,
           t-coffee,
-          wise (>= 2.4.1-16)
+          wise (>= 2.4.1-16),
+          w3-dtd-mathml
 Description: Python library for bioinformatics (implemented in Python 2)
  The Biopython Project is an international association
  of developers of freely available Python tools for
@@ -138,7 +141,8 @@
           raxml,
           samtools,
           t-coffee,
-          wise (>= 2.4.1-16)
+          wise (>= 2.4.1-16),
+          w3-dtd-mathml
 Description: Python library for bioinformatics (implemented in Python 3)
  The Biopython Project is an international association
  of developers of freely available Python tools for
