=== debian/changelog ===
python-biopython (1.70+dfsg-4) unstable; urgency=medium

  * Symlink to mathml2.dtd of w3-dtd-mathml package
    Closes: #672407
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2017 11:07:47 +0100

python-biopython (1.70+dfsg-3) unstable; urgency=medium

  * Copy *.rst doc files.
    Closes: #872222
  * Apply two upstream patches to deal with change in BWA output
    Closes: #880236
  * Drop duplicated python*-numpy in Build-Depends
  * Standards-Version: 4.1.1
  * Fix permission of dtd files

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2017 13:24:21 +0100

python-biopython (1.70+dfsg-2) unstable; urgency=medium

  * Team upload

  * Fixed build dependencies (added python-setuptools) (Closes: #869597).

 -- Steffen Moeller <moeller@debian.org>  Mon, 31 Jul 2017 18:24:01 +0200
  

python-biopython (1.70+dfsg-1) unstable; urgency=medium

  * Team upload

  * New upstream release.
  * debian/upstream/metadata: Added references to
    OMICtools, bio.tools, RRID
  * debian/rules: Merged two redundant clean overrides

 -- Steffen Moeller <moeller@debian.org>  Sun, 23 Jul 2017 18:08:39 +0200
  
