=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,20 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	cd Doc && make distclean
+	rm -f Doc/install/Installation.pdf
+	rm -f Doc/install/Installation.txt
+	rm -f Doc/install/Installation.html
+	rm -f Doc/Tutorial.pdf Doc/biopdb_faq.pdf
+	rm -f Doc/Tutorial/*.aux
+	rm -rf biopython.egg-info
+	
+	dh_auto_clean
+	if [ -d Tests_avoid ] ; then \
+	    mv Tests_avoid/* Tests ; \
+	    rmdir Tests_avoid ; \
+	fi
+	
+	rm -rf debian/tmp_tests
 
 override_dh_auto_build:
 	dh_auto_build
@@ -120,10 +134,6 @@
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.lyx" -delete
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -type d -empty -delete
 
-override_dh_auto_clean:
-	dh_auto_clean
-	if [ -d Tests_avoid ] ; then \
-	    mv Tests_avoid/* Tests ; \
-	    rmdir Tests_avoid ; \
-	fi
-	rm -rf debian/tmp_tests
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name "*.dtd" -exec chmod -x \{\} \;
