=== debian/watch ===
version=4

opts="uversionmangle=s/b/~b/;s/(\d)(\d+)/$1.$2/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//,repack,compression=xz" \
  https://github.com/biopython/biopython/releases .*/archive/biopython-(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
