## python-biopython 1.72

=== debian/changelog ===
python-biopython (1.72-0ubuntu1) cosmic; urgency=medium

  * New upstream version.
  * Disable test failing with reportlab 3.5.
    https://github.com/biopython/biopython/issues/1737

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Jul 2018 15:08:29 +0200

python-biopython (1.71+dfsg-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 12:36:36 +0000

python-biopython (1.71+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * Point Vcs fields to salsa.debian.org
  * debhelper 11
  * Add dh-python to Build-Depends since this will be dropped from python3's
    Depends soon
  * Fix Python version in Suggestes
  * Make sure Doc dir ends up in python-biopython-doc package

 -- Andreas Tille <tille@debian.org>  Fri, 06 Apr 2018 09:03:06 +0200
