=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
            Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
+               dh-python,
                python-all-dev,
                python3-all-dev,
                python-numpy,
@@ -49,9 +50,9 @@
                raxml [any-amd64],
                t-coffee,
                wise (>= 2.4.1-16)
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-biopython.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/python-biopython.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/med-team/python-biopython
+Vcs-Git: https://salsa.debian.org/med-team/python-biopython.git
 Homepage: http://biopython.org
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.3
@@ -116,7 +117,6 @@
 Recommends: python-biopython-doc (= ${source:Version}),
             ncbi-blast+
 Suggests: python3-tk,
-          python-reportlab,
           bwa [any-amd64],
           clustalo,
           clustalw,
@@ -130,7 +130,7 @@
           phyml [any-amd64 any-i386 arm64 armhf sparc64],
           prank,
           probcons,
-          python-mysqldb,
+          python3-mysqldb,
           python3-matplotlib,
           python3-numpy,
           python3-pil,
