=== debian/rules ===
--- 
+++ 
@@ -64,8 +64,8 @@
 	rm -f Doc/Tutorial.pdf Doc/biopdb_faq.pdf
 	rm -f Doc/Tutorial/*.aux
 	rm -rf biopython.egg-info
+	rm -rf .pybuild
 	
-	dh_auto_clean
 	if [ -d Tests_avoid ] ; then \
 	    mv Tests_avoid/* Tests ; \
 	    rmdir Tests_avoid ; \
@@ -122,12 +122,16 @@
 endif
 
 override_dh_installdocs-indep:
-	dh_installdocs
+	dh_installdocs -i
 	find debian -name __pycache__ -type d | xargs rm -rf
 	find debian -name example.fastq.gz
 	# dh_installdocs seems to refuse copying zero length files (for instance Tests/Blast/tab_2226_tblastn_002.txt) but these are needed for the tests as well
 	cp -a debian/tmp_tests/* $(CURDIR)/debian/python-biopython-doc/usr/share/doc/python-biopython-doc/
 	find debian -name .cvsignore -delete
+	# no idea why Doc dir ends up in /usr/share/doc/python-biopython since biopython 1.71 - just move it into right place
+	if [ -d debian/python-biopython-doc/usr/share/doc/python-biopython/Doc ] ; then \
+	    mv debian/python-biopython-doc/usr/share/doc/python-biopython/Doc debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc ; \
+	fi
 	cd debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc && make clean
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name Makefile -delete
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.aux" -delete
