=== debian/changelog ===
python-biopython (1.73+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 23:23:52 +0100

python-biopython (1.72+dfsg-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Remove unneeded comment about samtools - which is not found by biopython
    anyway

  [ Graham Inggs ]
  * Team upload
  * Fix compatibility with ReportLab 3.5 (Closes: #913064)
  * Clean up some trailing whitespace in debian/* files

 -- Graham Inggs <ginggs@debian.org>  Wed, 05 Dec 2018 11:41:01 +0000

python-biopython (1.72+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #904317
  * Standards-Version: 4.1.5
  * debian/rules: Respect DEB_BUILD_OPTIONS in dh_auto_test
  * Drop ancient Python version fields
  * Deactivate exclusion of samtools_tool test and see if it works

 -- Andreas Tille <tille@debian.org>  Sat, 28 Jul 2018 04:45:32 +0200
