=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-python,
                python-all-dev,
                python3-all-dev,
@@ -50,12 +50,10 @@
                raxml [any-amd64],
                t-coffee,
                wise (>= 2.4.1-16)
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-biopython
 Vcs-Git: https://salsa.debian.org/med-team/python-biopython.git
 Homepage: http://biopython.org
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.3
 
 Package: python-biopython
 Architecture: any
@@ -104,7 +102,7 @@
  extremely liberal and compatible with almost every license in
  the world. The project works along with the Open Bioinformatics
  Foundation, who generously provide web and CVS space for
- the project. 
+ the project.
  .
  This package is targeting Python version 2.
 
@@ -155,7 +153,7 @@
  extremely liberal and compatible with almost every license in
  the world. The project works along with the Open Bioinformatics
  Foundation, who generously provide web and CVS space for
- the project. 
+ the project.
  .
  This package is targeting Python version 3.
