=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 BUILDARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 # If `$(CURDIR)/setup.py test` would be called these tests need to be excluded since they require to be online
-#EXCLUDEONLINE=Entrez_online HotRand NCBI_qblast SCOP_online SeqIO_online TogoWS 
+#EXCLUDEONLINE=Entrez_online HotRand NCBI_qblast SCOP_online SeqIO_online TogoWS
 # Since `run_texts.py --online` is used the test requiring online connections are excluded by the test suite
 EXCLUDEONLINE=
 
@@ -43,14 +43,6 @@
 # ApplicationError: Non-zero return code 255 from 'phyml -i Phylip/interlaced2.phy -d aa', message 'beignet-opencl-icd: no supported GPU found, this is probably the wrong opencl-icd package for this hardware'
 # See https://bugs.debian.org/813262
 EXCLUDEFAILINGTESTS=phyml_tool
-
-# FIXME: Currently it is not sure for what architecture samtools will be available
-#        to anable a smooth migration to testing the build-dependency will be dropped
-#        for the moment
-#        .
-#        The samtools test also fails on amd64.  This is reported upstream
-#	 see https://github.com/biopython/biopython/issues/625
-EXCLUDEPACKAGEINFLUX=samtools_tool
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
@@ -83,6 +75,7 @@
 	dh_numpy3 -ppython3-biopython
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifeq ($(BUILDARCH),mips)
 	echo "***************************************************************************"
 	echo "* Attention: Build time tests for mips architecture are skipped.          *"
@@ -105,7 +98,7 @@
 	rm -f debian/tmp_tests/Tests/Quality/example.fastq.gz
 	# We also keep the tests we need to avoid for later inspection
 	cp -a Tests_avoid debian/tmp_tests
-	# in the Debian package dialign it is not needed to set DIALIGN2_DIR but the test is verifying this dir 
+	# in the Debian package dialign it is not needed to set DIALIGN2_DIR but the test is verifying this dir
 	# to run the EMBOSS test test_Emboss also requires to have the environment variable EMBOSS_ROOT set
 	LC_ALL=C.UTF-8 dh_auto_test -- --test --system=custom \
 		--test-args='set -e; \
@@ -119,6 +112,7 @@
                              env DIALIGN2_DIR=/usr/share/dialign EMBOSS_ROOT=/usr/lib/emboss HOME={build_dir}/home {interpreter} run_tests.py --offline'
 	mv Tests_avoid/* Tests
 	rmdir Tests_avoid
+endif
 endif
 
 override_dh_installdocs-indep:
