## python-biopython 1.76%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,7 @@
 export DH_VERBOSE=1
 
 #export PYBUILD_NAME=biopython
-#export PYBUILD_DESTDIR_python2=debian/python-biopython/
-#export PYBUILD_DESTDIR_python3=debian/python3-biopython/
+#export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)/
 
 # export DEB_BUILD_MAINT_OPTIONS = hardening=+all ... does not build
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
@@ -26,26 +25,21 @@
 
 # avoid testing tools that are not packaged for Debian yet (or will never be packaged since they might be outdated)
 # This would not trigger a failure but bloats the build log with irrelevant noise
-EXCLUDENOTPACKAGED=MSAProbs_tool NACCESS_tool PopGen_DFDist PopGen_FDist PopGen_GenePop PopGen_GenePop_EasyController PopGen_SimCoal XXmotif_tool
+EXCLUDENOTPACKAGED=MSAProbs_tool NACCESS_tool PopGen_GenePop PopGen_GenePop_EasyController XXmotif_tool PDB_ResidueDepth mmtf mmtf_online
 
 # avoid amd64 only tools on other architectures
 ifeq ($(BUILDARCH),amd64)
     EXCLUDEARCHamd64=
 else
-    EXCLUDEARCHamd64=BWA_tool raxml_tool
+    EXCLUDEARCHamd64=raxml_tool
 endif
 
 # avoid tests requiring data base connections if no server is running while we are doing the build
 # This would not trigger a failure but bloats the build log with irrelevant noise
 EXCLUDEDATABASE=BioSQL_MySQLdb BioSQL_psycopg2
 
-# With recent phyml we get:
-# ApplicationError: Non-zero return code 255 from 'phyml -i Phylip/interlaced2.phy -d aa', message 'beignet-opencl-icd: no supported GPU found, this is probably the wrong opencl-icd package for this hardware'
-# See https://bugs.debian.org/813262
-EXCLUDEFAILINGTESTS=phyml_tool
-
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -57,12 +51,12 @@
 	rm -f Doc/Tutorial/*.aux
 	rm -rf biopython.egg-info
 	rm -rf .pybuild
-	
+
 	if [ -d Tests_avoid ] ; then \
 	    mv Tests_avoid/* Tests ; \
 	    rmdir Tests_avoid ; \
 	fi
-	
+
 	rm -rf debian/tmp_tests
 
 override_dh_auto_build:
@@ -71,21 +65,10 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	dh_numpy -ppython-biopython
 	dh_numpy3 -ppython3-biopython
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq ($(BUILDARCH),mips)
-	echo "***************************************************************************"
-	echo "* Attention: Build time tests for mips architecture are skipped.          *"
-	echo "* The reason is that the tests are known to fail for Python3 and the      *"
-	echo "* effort to simply run only for Python 2.7 seems to be error prone.       *"
-	echo "* Upstream is working on a solution so this should be dropped for         *"
-	echo "* next upstream version. See:                                             *"
-	echo "* http://mailman.open-bio.org/pipermail/biopython/2014-August/015383.html *"
-	echo "***************************************************************************"
-else
 	mkdir -p Tests_avoid
 	for avoid in $(EXCLUDEONLINE) $(EXCLUDENONFREE) $(EXCLUDENOTPACKAGED) $(EXCLUDEARCHamd64) $(EXCLUDEDATABASE) $(EXCLUDEFAILINGTESTS) $(EXCLUDEPACKAGEINFLUX) \
 		    ; do \
@@ -113,7 +96,6 @@
 	mv Tests_avoid/* Tests
 	rmdir Tests_avoid
 endif
-endif
 
 override_dh_installdocs-indep:
 	dh_installdocs -i
