=== debian/changelog ===
python-biopython (1.76+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove patches applied upstream:
    fix_doctests, ppc64el_precision, python_3.8_iteration_fix.patch
  * Remove patches missing from debian/patches/series.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 20 Dec 2019 11:00:46 -0800

python-biopython (1.75+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Patch added to reduce the required precision for one part of the
    test_phenotype_fit.TestPhenoMicro test

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 17 Dec 2019 11:35:41 +0100

python-biopython (1.75+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Restrict where we test phyml for now.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 16 Dec 2019 22:15:00 +0100

python-biopython (1.75+dfsg-2) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Skip PDB_ResidueDepth test, as http://mgltools.scripps.edu/packages/MSMS
    is not yet packaged for Debian
  * Skip test_mmtf{,_online} as https://github.com/rcsb/mmtf-python is not yet
    packaged for Debian
  * Added missing test dependencies: python-unittest2, python{,3}-networkx,
    samtools
  * i386: build-dep on raxml for testing purposes
  * debian/patches/arm64.patch from upstream to fix the PairwiseAligner
  * debian/patches/fix_doctest: from me to fix the Bio.Cluster._cluster doctests
    Now the tests are required to pass again.

  [ Andreas Tille ]
  * Drop Python2 package
    Closes: #937606

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Dec 2019 14:38:14 +0100

python-biopython (1.75+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #944242
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/rules
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Repository.
  * Build-Depends: python3-pygments
  * Python 3.8 iteration fix from upstream
  * Ignore remaining build time test errors since these are discussed with
    upstream and will be fixed soon.  On the other hand latest version of
    biopython is needed to fix bugs in other Debian Med packages.
  * Seems explicit Depends: python is needed now for Python2 packages
  * Remove test test_Tutorial.py which is bound to fail from autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 04 Dec 2019 17:29:48 +0100
