=== debian/control ===
Source: python-biopython
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-numpy,
               flex,
               python3-reportlab,
               hevea,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-fonts-recommended,
               bwa,
               clustalo,
               clustalw,
               dialign,
               dssp,
               emboss,
               fasttree,
               mafft,
               muscle,
               ncbi-blast+,
               phylip,
               phyml [any-amd64 any-i386],
               prank,
               probcons,
               python3-networkx,
               python3-mysqldb,
               python3-matplotlib,
               python3-pil,
               python3-rdflib,
               python3-renderpm,
               python3-psycopg2,
               python3-scipy,
               python3-setuptools,
               python3-unittest2,
               raxml [any-amd64 any-i386],
               samtools,
               t-coffee,
               wise,
               python3-pygments
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/python-biopython
Vcs-Git: https://salsa.debian.org/med-team/python-biopython.git
Homepage: http://biopython.org

Package: python3-biopython
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-reportlab
Recommends: python-biopython-doc (= ${source:Version}),
            ncbi-blast+
Suggests: python3-tk,
          bwa,
          clustalo,
          clustalw,
          dialign,
          dssp,
          emboss,
          fasttree,
          mafft,
          muscle,
          phylip,
          phyml,
          prank,
          probcons,
          python3-mysqldb,
          python3-matplotlib,
          python3-numpy,
          python3-pil,
          python3-rdflib,
          python3-renderpm,
          python3-psycopg2,
          python3-scipy,
          raxml,
          samtools,
          t-coffee,
          wise,
          w3-dtd-mathml
Description: Python3 library for bioinformatics
 The Biopython Project is an international association
 of developers of freely available Python tools for
 computational molecular biology.
 .
 It is a distributed collaborative effort to develop Python3
 libraries and applications which address the needs of
 current and future work in bioinformatics. The source code
 is made available under the Biopython License, which is
 extremely liberal and compatible with almost every license in
 the world. The project works along with the Open Bioinformatics
 Foundation, who generously provide web and CVS space for
 the project.

Package: python-biopython-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: python3-biopython (= ${source:Version})
Description: Documentation for the Biopython library
 Documentation and examples about how to use the Biopython
 library.
 .
 This package also contains the unit tests of the test suite
 to enable reproducing the test results.

Package: python3-biopython-sql
# Todo: add www.biosql.org as "External Ressource" on packages.debian.org when the infrastructure will provide a way to do so.
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-biopython
Provides: ${python3:Provides}
Description: Biopython support for the BioSQL database schema (Python 3)
 This is the Biopython interface to a BioSQL database (see www.biosql.org
 for details). BioPerl, BioJava and BioRuby also provide their own BioSQL
 interfaces onto the same shared SQL schema.
