## python-biopython 1.78%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,52 +1,55 @@
 Source: python-biopython
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Étienne Mollier <etienne.mollier@mailoo.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
-               python3-numpy,
+               python3-numpy <!nocheck>,
                flex,
-               python3-reportlab,
-               hevea,
+               python3-reportlab <!nocheck>,
+               hevea <!nocheck>,
                texlive-latex-base,
                texlive-latex-extra,
                texlive-fonts-recommended,
-               bwa,
-               clustalo,
-               clustalw,
-               dialign,
-               dssp,
-               emboss,
-               fasttree,
-               mafft,
-               muscle,
-               ncbi-blast+,
-               phylip,
-               phyml [any-amd64 any-i386],
-               prank,
-               probcons,
-               python3-networkx,
-               python3-mysqldb,
-               python3-matplotlib,
-               python3-pil,
-               python3-rdflib,
-               python3-renderpm,
-               python3-psycopg2,
-               python3-scipy,
+               bwa <!nocheck>,
+               clustalo <!nocheck>,
+               clustalw <!nocheck>,
+               dialign <!nocheck>,
+               dssp (>= 4.0.0) <!nocheck>,
+               emboss <!nocheck>,
+               fasttree <!nocheck>,
+               mafft <!nocheck>,
+               muscle <!nocheck>,
+               ncbi-blast+ (>= 2.10.1-3) <!nocheck>,
+               phylip <!nocheck>,
+               phyml [any-amd64 any-i386] <!nocheck>,
+               prank <!nocheck>,
+               probcons <!nocheck>,
+               python3-networkx <!nocheck>,
+               python3-mysqldb <!nocheck>,
+               python3-matplotlib <!nocheck>,
+               python3-mmtf <!nocheck>,
+               python3-pil <!nocheck>,
+               python3-rdflib <!nocheck>,
+               python3-renderpm <!nocheck>,
+               python3-psycopg2 <!nocheck>,
+               python3-pygments <!nocheck>,
+               python3-scipy <!nocheck>,
                python3-setuptools,
-               python3-unittest2,
-               raxml [any-amd64 any-i386],
-               samtools,
-               t-coffee,
-               wise,
-               python3-pygments
-Standards-Version: 4.4.1
+               python3-unittest2 <!nocheck>,
+               raxml [any-amd64 any-i386] <!nocheck>,
+               samtools <!nocheck>,
+               t-coffee <!nocheck>,
+               wise <!nocheck>
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-biopython
 Vcs-Git: https://salsa.debian.org/med-team/python-biopython.git
 Homepage: http://biopython.org
+Rules-Requires-Root: no
 
 Package: python3-biopython
 Architecture: any
@@ -55,13 +58,13 @@
          ${misc:Depends},
          python3-reportlab
 Recommends: python-biopython-doc (= ${source:Version}),
-            ncbi-blast+
+            ncbi-blast+ (>= 2.10.1-3)
 Suggests: python3-tk,
           bwa,
           clustalo,
           clustalw,
           dialign,
-          dssp,
+          dssp (>= 4.0.0),
           emboss,
           fasttree,
           mafft,
@@ -72,6 +75,7 @@
           probcons,
           python3-mysqldb,
           python3-matplotlib,
+          python3-mmtf,
           python3-numpy,
           python3-pil,
           python3-rdflib,
@@ -83,6 +87,7 @@
           t-coffee,
           wise,
           w3-dtd-mathml
+Breaks: cnvkit (<< 0.9.7-1~)
 Description: Python3 library for bioinformatics
  The Biopython Project is an international association
  of developers of freely available Python tools for
@@ -99,6 +104,7 @@
 
 Package: python-biopython-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Recommends: python3-biopython (= ${source:Version})
